{
    attributes = (
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TCSF_CODE"; 
            externalType = VARCHAR2; 
            name = tcsfCode; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TCSF_LIBELLE"; 
            externalType = VARCHAR2; 
            name = tcsfLibelle; 
            valueClassName = NSString; 
            valueType = S; 
            width = 100; 
        }, 
        {
            columnName = "TCSF_ORDRE"; 
            externalType = NUMBER; 
            name = tcsfOrdre; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (tcsfOrdre); 
    className = "org.cocktail.connecteur.common.modele.grhum.nomenclature.EOTypeCsf"; 
    classProperties = (tcsfCode, tcsfLibelle, tcsfOrdre); 
    externalName = "GRHUM.TYPE_CSF"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {"_clientClassPropertyNames" = (tcsfCode, tcsfLibelle); }; 
    name = TypeCsf; 
    primaryKeyAttributes = (tcsfOrdre); 
}
